* {
    box-sizing: border-box;
}

html {
    font-size: 16px;
    margin: 0;
    padding: 0;
}

body {
    display: grid;
    width: 100%;
    height: 100vh;
    place-content: center;
    grid-template-rows: 1fr auto;
    margin: 0;
    padding: 0;
    font-family: "Poppins", sans-serif;
    font-size: 16px;
    background: #0c3f71;
    color: #fff;
}

h1 {
    font-size: clamp(2rem, 5vw, 3rem);
    font-weight: 400;
    text-align: center;
    max-width: 800px;
    text-wrap: balance;
    text-wrap: pretty;
    transition: all 200ms ease;
}

.main-header {
    display: grid;
    place-items: center;
    place-content: center;
}

.logo {
    display: inline-block;
    width: 100%;
    max-width: 800px;
    margin: 0 auto;
    padding: 0;
}

.logo svg {
    width: clamp(200px, 50vw, 400px);
    display: block;
    overflow: visible;
}

.main-content {
    display: grid;
    grid-template-columns: 1fr;
    gap: 2rem;
    margin-top: 2rem;
}

.hair,
.glasses,
.the-do-dads-logo-path,
.eyes,
.tag-line {
    opacity: 0;
    transform: translateY(30px);
}

.footer {
    color: rgba(255, 255, 255, 0.6);
    text-align: center;
    font-size: 0.875rem;
    letter-spacing: 1px;
}

.footer a {
    color: rgba(255, 255, 255, 0.8);
    transition: all 200ms ease-in-out;
    text-decoration: none;
}

.footer a:active,
.footer a:hover {
    color: rgba(255, 255, 255, 1);
}